Name:          rocoto
Version:       6.2
Release:       1%{?dist}
Summary:       Expanded properties file parsing for Google Guice
License:       ASL 2.0
URL:           http://99soft.github.com/rocoto/
Source0:       https://github.com/99soft/rocoto/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(org.99soft:oss-parent:pom:)

# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.cglib:cglib)

BuildRequires: buildnumber-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
Rocoto is a small collection of reusable Modules for Google Guice
to make easier the task of loading java.util.Properties by reading
configuration files.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# build fix for latest sisu/google-guice
%pom_add_dep com.google.guava:guava::compile
sed -i 's|com.google.inject.internal.util.$Preconditions|com.google.common.base.Preconditions|' \
  src/main/java/org/nnsoft/guice/rocoto/configuration/ConfigurationModule.java \
  src/main/java/org/nnsoft/guice/rocoto/configuration/PropertiesURLReader.java

# missing test classes
%pom_add_dep net.sf.cglib:cglib::test

# NoClassDefFoundError: Could not initialize class com.google.inject.internal.Annotations
rm -rf src/test/java/org/nnsoft/guice/rocoto/configuration/ConfigurationModuleTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/mixed/ConfigurationConverterTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/converters/BitSetConverterTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/converters/CharsetConverterTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/converters/LocaleConverterTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/converters/FileConverterTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/converters/PropertiesConverterTestCase.java \
 src/test/java/org/nnsoft/guice/rocoto/converters/URLConverterTestCase.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat Dec 01 2012 gil cattaneo <puntogil@libero.it> 6.2-1
- initial rpm
